<?php

define('PHPWG_ROOT_PATH','../../');
define('IN_ADMIN', true);
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
include_once(PHPWG_ROOT_PATH.'admin/include/functions_plugins.inc.php');

check_status(ACCESS_ADMINISTRATOR);

if (isset($_POST['autoupdate_ignore'])
  and is_array($_POST['autoupdate_ignore'])
  and count($_POST['autoupdate_ignore']) == 2)
{
  // Add or remove plugin from ignore list
  $ignore = unserialize($conf['autoupdate_ignore_list']);
  $ignore = array_flip($ignore);

  if ($_POST['autoupdate_ignore'][1] == "false" and isset($ignore[$_POST['autoupdate_ignore'][0]]))
  {
    unset($ignore[$_POST['autoupdate_ignore'][0]]);
    $ignore = array_flip($ignore);
  }
  elseif ($_POST['autoupdate_ignore'][1] == "true" and !isset($ignore[$_POST['autoupdate_ignore'][0]]))
  {
    $ignore = array_flip($ignore);
    array_push($ignore, $_POST['autoupdate_ignore'][0]);
  }
  else
  {
    die;
  }
  sort($ignore);  

  $query = '
UPDATE '.CONFIG_TABLE.'
SET value = "'.addslashes(serialize($ignore)).'"
WHERE param = "autoupdate_ignore_list"
;';
  pwg_query($query);

  unset($_SESSION['plugins_need_update']);
  echo 'ok';
}
else
{
  // Check if gallery or plugins are up to date
  load_language('plugin.lang', dirname(__FILE__).'/');
  header('Content-Type: text/html; charset=UTF-8');

  include(AUTOUPDATE_PATH.'include/functions_remote.inc.php');
  echo autoupdate_check_version();
}

?>